API Reference

List tokenized cards

GET/credit_cards

Query Parameters

offsetinteger (int32)(optional)· Defaults to 1

Page number to return

limitinteger (int32)(optional)· Defaults to 10

Max number of results to return

fromstring (date-time)(optional)

Lower bound for the time at which the card was tokenized

tostring (date-time)(optional)

Upper bound for the time at which the card was tokenized

Request

curl
curl https://gateway.pmnts-sandbox.io/v1.0/credit_cards?limit=2 -u TEST:TEST

Response

200Result
json
{
  "successful":true,
  "response":[
  {
    "token":"fke8uf71",
    "card_holder":"Joe Bloggs",
    "card_number":"400555XXXXXX0001",
    "card_expiry":"2023-11-30",
    "card_type":"VISA",
    "card_category":"Credit",
    "card_subcategory":"Standard",
    "card_issuer":"Jpmorgan Chase Bank, N.A.",
    "card_country":"United States",
    "authorized":true,
    "transaction_count":1,
    "alias":"NewAlias123"
  },
  {
    "token":"fke8n04t",
    "card_holder":"Bob Smith",
    "card_number":"512345XXXXXX2346",
    "card_expiry":"2030-05-31",
    "card_type":"MasterCard",
    "card_category":"Credit",
    "card_subcategory":"Standard",
    "card_issuer":"Banco Del Pichincha, C.A.",
    "card_country":"Ecuador",
    "authorized":true,
    "transaction_count":0,
    "alias":null
  }
  ],
  "errors":[],
  "test":true,
  "records":2,
  "total_records":1529543,
  "page":1,
  "total_pages":764772
}
400Result
json
{}